import { Follows, Like, User } from "@prisma/client";

import { IGweet } from "@/components/gweets/types";

export interface IUser extends User {
  gweets: IGweet[];
  followers: IFollow[];
  following: IFollow[];
  likes: ILike[];
  _count?: {
    followers?: number;
    following?: number;
  };
}

export interface IProfile {
  name: string;
  bio: string | undefined;
  banner: {
    url: string | undefined;
  };
  avatar: {
    url: string | undefined;
  };
}

export interface IFollow extends Follows {
  follower: IUser;
  following: IUser;
}

export interface ILike extends Like {
  user: IUser;
  gweet: IGweet;
}
